io.vertx.ext.shell

## Class ShellServerOptions

- java.lang.Object
- - io.vertx.ext.shell.ShellServerOptions

- Direct Known Subclasses:
    ShellServiceOptions

      public class ShellServerOptions
      extends Object

  The configurations options for the shell server.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_REAPER_INTERVAL` Default of how often, in ms, to check for expired sessions
    `static long` | `DEFAULT_SESSION_TIMEOUT` Default time, in ms, that a shell session lasts for without being accessed before expiring.
    `static String` | `DEFAULT_WELCOME_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShellServerOptions()`
    `ShellServerOptions(JsonObject json)`
    `ShellServerOptions(ShellServerOptions that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getReaperInterval()`
    `long` | `getSessionTimeout()`
    `String` | `getWelcomeMessage()`
    `ShellServerOptions` | `setReaperInterval(long reaperInterval)` Set the repear interval, i.e the period at which session eviction is performed.
    `ShellServerOptions` | `setSessionTimeout(long sessionTimeout)` Set the session timeout.
    `ShellServerOptions` | `setWelcomeMessage(String welcomeMessage)` Set the shell welcome message, i.e the message displayed in the user console when he connects to the shell.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_REAPER_INTERVAL

          public static final long DEFAULT_REAPER_INTERVAL

      Default of how often, in ms, to check for expired sessions
      See Also:
        Constant Field Values

    - #### DEFAULT_SESSION_TIMEOUT

          public static final long DEFAULT_SESSION_TIMEOUT

      Default time, in ms, that a shell session lasts for without being accessed before expiring.
      See Also:
        Constant Field Values

    - #### DEFAULT_WELCOME_MESSAGE

          public static final String DEFAULT_WELCOME_MESSAGE

  - ### Constructor Detail

    - #### ShellServerOptions

          public ShellServerOptions()

    - #### ShellServerOptions

          public ShellServerOptions(ShellServerOptions that)

    - #### ShellServerOptions

          public ShellServerOptions(JsonObject json)

  - ### Method Detail

    - #### getWelcomeMessage

          public String getWelcomeMessage()

      Returns:
        the shell welcome message

    - #### setWelcomeMessage

          public ShellServerOptions setWelcomeMessage(String welcomeMessage)

      Set the shell welcome message, i.e the message displayed in the user console when he connects to the shell.
      Parameters:
        `welcomeMessage` - the welcome message
      Returns:
        a reference to this, so the API can be used fluently

    - #### getSessionTimeout

          public long getSessionTimeout()

      Returns:
        the session timeout

    - #### setSessionTimeout

          public ShellServerOptions setSessionTimeout(long sessionTimeout)

      Set the session timeout.
      Parameters:
        `sessionTimeout` - the new session timeout
      Returns:
        a reference to this, so the API can be used fluently

    - #### getReaperInterval

          public long getReaperInterval()

      Returns:
        the reaper interval

    - #### setReaperInterval

          public ShellServerOptions setReaperInterval(long reaperInterval)

      Set the repear interval, i.e the period at which session eviction is performed.
      Parameters:
        `reaperInterval` - the new repeat interval
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2021 Eclipse. All rights reserved.